icetGetSingleImageStrategyName(3)

NAME

icetGetSingleImageStrategyName -- retrieve single image sub-strategy name.

Synopsis

#include <IceT.h>

const char *icetGetSingleImageStrategyName( | void | );

Description

icetGetSingleImageStrategyName retrieves a human-readable name for the current single image sub-strategy.

Return Value

Returns a short, null terminated string identifying the single image strategy currently in effect. Helpful for printing out debugging or diagnostic statements.

Errors

None.

Warnings

None.

Bugs

None known.

Notes

The string returned does not contain the identifier used in a C program. For example, if the current single image strategy is ICET_SINGLE_IMAGE_STRATEGY_BSWAP, icetGetSingleImageStrategyName returns ``Binary Swap,'' not ``ICET_SINGLE_IMAGE_STRATEGY_BSWAP.''

Copyright

Copyright (C)2010 Sandia Corporation

Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation, the U.S. Government retains certain rights in this software.

This source code is released under the New BSD License.

See Also

icetGetStrategyName(3), icetSingleImageStrategy(3)